/***************************************************************
 * Name:      WaitPopup.cpp
 * Purpose:   Code for the wait message popup
 * Author:    Jackie Team (jackie.team@gmail.com)
 * Created:   2007-12-16
 * Copyright: Jackie Team (http://musicorganizer.free.fr)
 * License: GNU GPL
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#ifdef __BORLANDC__
#pragma hdrstop
#endif //__BORLANDC__

#include "components.h"
BEGIN_EVENT_TABLE(WaitPopup, wxPopupWindow)
    EVT_BUTTON( ID_ANNULER, WaitPopup::Cancel )
END_EVENT_TABLE()

WaitPopup::WaitPopup(wxGenericDirCtrl* parent):wxPopupWindow(parent->GetGrandParent()->GetParent()){
    wxScrolledWindow *m_panel = new wxScrolledWindow( this, wxID_ANY );
    m_panel->SetBackgroundColour(*wxLIGHT_GREY);
    wxStaticText *text = new wxStaticText( m_panel , wxID_ANY,wxT(" Veuillez patienter\n Scan des repertoires"));
    wxButton *annuler = new wxButton(m_panel,ID_ANNULER,wxT("Annuler"));
    wxBoxSizer *topSizer = new wxBoxSizer( wxVERTICAL );
    topSizer->Add( text, 0, wxALL, 5 );

    m_panel->SetAutoLayout( true );
    m_panel->SetSizer( topSizer );
    topSizer->Add( annuler, 0, wxALL, 5 );
    topSizer->Fit(m_panel);
    topSizer->Fit(this);
    ma=parent;
}

void WaitPopup::Cancel(wxCommandEvent& event){
    MonArbo* a=(MonArbo*)ma;
    a->stopThread();
}
